Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Clément Pit--Claudel <[email-masked]>
Date: Sun, 24 May 2015 04:20:22 -0400

On 05/23/2015 03:12 AM, Eli Zaretskii wrote:
>> Date: Fri, 22 May 2015 16:25:05 -0400
>> From: Clément Pit--Claudel
>>  <[email-masked]>
>> CC: [email-masked], [email-masked]
>>
>>> Couldn't those package developers recommend fontset settings, of even
>>> include ready-to-use .emacs snippets as part of the package?
>>
>> Indeed. In fact, that's what I already do with company-coq ( https://github.com/cpitclaudel/company-coq/#troubleshooting ). However, people are still reporting this as a bug.
>>
>> I am not sure what I can do as a package developer to make it work "out of the box". An option to override the line height would be helpful, since I could do it at the package level; advanced users could then tweak things further (eg. by installing better fonts), but basic users would still benefit from decent defaults.
> 
> How about setting the list of fonts to be ignored (assuming Emacs
> acquires such a capability) -- would that be useful for packages?

Maybe. The problem is that if a good font is not installed yet, ignoring Latin Modern Math means replacing huge lines with square boxes. I'm not sure which one is best. Ignoring Latin Modern Math may be better because fixing the square boxes then only requires installing a new font (while fixing the line heights requires installing a new font /and/ setting up fontsets in Emacs). But ignoring Latin Modern Math is also more confusing (the symbols will display fine in user's web browsers, but not in Emacs). The unearthing of `face-ignored-fonts' likely makes this an easy change; do you have an opinion either way?